Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1518947

Summary: Command completion is broken
Product: [Fedora] Fedora Reporter: Christian Stadelmann <fedora>
Component: flatpakAssignee: David King <amigadave>
Status: ASSIGNED --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 29CC: amigadave
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Christian Stadelmann 2017-11-29 20:28:27 UTC
Description of problem:
Bash command completion for flatpak does not work.

Version-Release number of selected component (if applicable):
flatpak-0.10.1-1.fc27.x86_64
flatpak 0.7 through 0.9 on Fedora 26

How reproducible:
always

Steps to Reproduce:
1. open a bash instance
2. type "flatpak " (note the space at the end)
3. press the "tab" key for command completion

Actual results:
"flatpak --help" output is printed, followed by this message:
error: Unknown command 'complete'

Expected results:
Show list of options.

Additional info:
This issue also affects subcommands such as "run", which should show a list of applications which can be run from flatpak.

Comment 1 Christian Stadelmann 2018-10-06 10:35:38 UTC
Still present on Fedora 29 beta.

Comment 2 David King 2018-10-08 08:52:28 UTC
I am unable to reproduce using your steps, so presumably you have modified your bash environment in some way. I am not a shell guru, so please have a look in your bash configuration, and see if anything jumps out that may impact the autocompletion.

Comment 3 Christian Stadelmann 2018-10-08 10:13:32 UTC
(In reply to David King from comment #2)
> I am unable to reproduce using your steps, so presumably you have modified
> your bash environment in some way. I am not a shell guru, so please have a
> look in your bash configuration, and see if anything jumps out that may
> impact the autocompletion.

You are right, this happens with the `--user` CLI switch added. The "Steps to reproduce" in comment #0 should be corrected to be

2. type "flatpak --user " (note the space at the end)

instead.